﻿using Connected.Models;
using Microsoft.AspNetCore.Components;

namespace Connected.Components;
public partial class Radio : InputBase
{
	[CascadingParameter]
	public RadioGroup? ParentRadioGroup { get; set; }

	[Parameter]
	public bool Checked { get; set; }

	[Parameter, EditorRequired]
	public string? Id { get; set; }

	[Parameter]
	public EventCallback<bool> CheckedChanged { get; set; }

	public async Task OnChange()
	{
		Checked = !Checked;
		await CheckedChanged.InvokeAsync(Checked);
	}
}
